TESTING/LIN/dptt01.f(3)

NAME
TESTING/LIN/dptt01.f

SYNOPSIS

  Functions/Subroutines
subroutine dptt01 (n, d, e, df, ef, work, resid)
DPTT01

Function/Subroutine Documentation

  subroutine dptt01 (integer n, double precision, dimension( * ) d, double precision, dimension( * ) e, double precision, dimension( * ) df, double precision, dimension( * ) ef, double precision, dimension( * ) work, double precision resid)

DPTT01

Purpose:

     DPTT01 reconstructs a tridiagonal matrix A from its L*D*L'
     factorization and computes the residual
        norm(L*D*L' - A) / ( n * norm(A) * EPS ),
     where EPS is the machine epsilon.

Parameters
    N

              N is INTEGER
              The order of the matrix A.

    D

              D is DOUBLE PRECISION array, dimension (N)
              The n diagonal elements of the tridiagonal matrix A.

    E

              E is DOUBLE PRECISION array, dimension (N-1)
              The (n-1) subdiagonal elements of the tridiagonal matrix A.

    DF

              DF is DOUBLE PRECISION array, dimension (N)
              The n diagonal elements of the factor L from the L*D*L'
              factorization of A.

    EF

              EF is DOUBLE PRECISION array, dimension (N-1)
              The (n-1) subdiagonal elements of the factor L from the
              L*D*L' factorization of A.

    WORK

              WORK is DOUBLE PRECISION array, dimension (2*N)

    RESID

              RESID is DOUBLE PRECISION
              norm(L*D*L' - A) / (n * norm(A) * EPS)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file dptt01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.